/*******************************************************************************
 * SeqAct_ActorFactory generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class SeqAct_ActorFactory extends SeqAct_Latent
    native(Sequence)
    hidecategories(Object);

enum EPointSelection
{
    PS_Normal,
    PS_Random,
    PS_Reverse,
    PS_MAX
};

var() bool bEnabled;
var bool bIsSpawning;
var() bool bCheckSpawnCollision;
var() export editinline ActorFactory Factory;
var() SeqAct_ActorFactory.EPointSelection PointSelection;
var() array<Actor> SpawnPoints;
var() array<Vector> SpawnLocations;
var() array<Vector> SpawnOrientations;
var() int SpawnCount;
var() float SpawnDelay;
var int LastSpawnIdx;
var int CurrentSpawnIdx;
var int SpawnedCount;
var float RemainingDelay;

static event int GetObjClassVersion()
{
    return super(SequenceObject).GetObjClassVersion() + 0;
    //return ReturnValue;    
}

defaultproperties
{
    bEnabled=true
    bCheckSpawnCollision=true
    SpawnCount=1
    SpawnDelay=0.50
    LastSpawnIdx=-1
    CurrentSpawnIdx=-1
    InputLinks(0)=(LinkDesc="Spawn Actor",bHasImpulse=false,QueuedActivations=0,bDisabled=false,bDisabledPIE=false,LinkedOp=none,DrawY=0,bHidden=false,ActivateDelay=0.0,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    InputLinks(1)=(LinkDesc="Enable",bHasImpulse=false,QueuedActivations=0,bDisabled=false,bDisabledPIE=false,LinkedOp=none,DrawY=0,bHidden=false,ActivateDelay=0.0,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    InputLinks(2)=(LinkDesc="Disable",bHasImpulse=false,QueuedActivations=0,bDisabled=false,bDisabledPIE=false,LinkedOp=none,DrawY=0,bHidden=false,ActivateDelay=0.0,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    InputLinks(3)=(LinkDesc="Toggle",bHasImpulse=false,QueuedActivations=0,bDisabled=false,bDisabledPIE=false,LinkedOp=none,DrawY=0,bHidden=false,ActivateDelay=0.0,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    VariableLinks(0)=(ExpectedType=class'SeqVar_Object',LinkedVariables=none,LinkDesc="Spawn Point",LinkVar=None,PropertyName=SpawnPoints,bWriteable=false,bSequenceNeverReadsOnlyWritesToThisVar=false,bModifiesLinkedObject=false,bHidden=false,MinVars=1,MaxVars=255,DrawX=0,CachedProperty=none,bAllowAnyType=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    VariableLinks(1)=(ExpectedType=class'SeqVar_Object',LinkedVariables=none,LinkDesc="Spawned",LinkVar=None,PropertyName=None,bWriteable=true,bSequenceNeverReadsOnlyWritesToThisVar=false,bModifiesLinkedObject=false,bHidden=false,MinVars=0,MaxVars=255,DrawX=0,CachedProperty=none,bAllowAnyType=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    VariableLinks(2)=(ExpectedType=class'SeqVar_Int',LinkedVariables=none,LinkDesc="Spawn Count",LinkVar=None,PropertyName=SpawnCount,bWriteable=false,bSequenceNeverReadsOnlyWritesToThisVar=false,bModifiesLinkedObject=false,bHidden=false,MinVars=1,MaxVars=255,DrawX=0,CachedProperty=none,bAllowAnyType=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    VariableLinks(3)=(ExpectedType=class'SeqVar_Vector',LinkedVariables=none,LinkDesc="Spawn Location",LinkVar=None,PropertyName=SpawnLocations,bWriteable=false,bSequenceNeverReadsOnlyWritesToThisVar=false,bModifiesLinkedObject=false,bHidden=false,MinVars=1,MaxVars=255,DrawX=0,CachedProperty=none,bAllowAnyType=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    VariableLinks(4)=(ExpectedType=class'SeqVar_Vector',LinkedVariables=none,LinkDesc="Spawn Direction",LinkVar=None,PropertyName=SpawnOrientations,bWriteable=false,bSequenceNeverReadsOnlyWritesToThisVar=false,bModifiesLinkedObject=false,bHidden=false,MinVars=1,MaxVars=255,DrawX=0,CachedProperty=none,bAllowAnyType=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    ObjName="Actor Factory"
}